name: python-public-policy
channels:
  - default
  - conda-forge
dependencies:
  ## local development ##
  - black
  - nbqa
  - notebook=7.*

  # extensions
  - jupyter-resource-usage
  - nb_conda_kernels
  - jupyterlab_rise

  ## packages imported directly in notebooks ##
  # match version in Colab returned by `!python --version`
  - python=3.10.12
  # match versions in Colab returned by `!pip list`
  # required for pandas' read_html()
  - html5lib=1.1
  - lxml
  - pandas=1.5.3
  - plotly=5.15.0
  - requests=2.31.0
  - statsmodels=0.14.1
  ## supporting packages for notebooks ##
  # makes kernel available in JupyterHub
  - ipykernel
  - ipytest=0.13.*
  - wget
  # https://plotly.com/python/static-image-export/
  - python-kaleido
  # required for plotly rendering
  # https://github.com/plotly/plotly.py/blob/94f2024bc981bdfd3d4ba527122a21286f4c7793/packages/python/plotly/plotly/io/_renderers.py#L395
  - nbformat
  # necessary optional dependency for nbformat->jsonschema
  # https://python-jsonschema.readthedocs.io/en/stable/validate/#validating-formats
  - isoduration
  # needed for plotly
  # https://plotly.com/python/getting-started/#jupyterlab-support
  - ipywidgets>=7.6

  ## CI ##
  - jinja2
  - nbconvert
  - nbdime
  - pytest

  # this needs to stay in sync with docs/environment.yml
  - jupyter-book=0.15.1
